com.informix.bson

## Class DBPointer

- java.lang.Object
- - com.informix.bson.DBRefBase
  - - com.informix.bson.DBPointer

Deprecated.

    @Deprecated
    public class DBPointer
    extends DBRefBase

### Constructor Summary

Constructors
Constructor and Description
`DBPointer(org.bson.BSONObject parent, java.lang.String fieldName, java.lang.String ns, org.bson.types.ObjectId id)` Deprecated.
`DBPointer(java.lang.String ns, org.bson.types.ObjectId id)` Deprecated. CTOR used for testing BSON encoding.

### Method Summary

Methods
`org.bson.types.ObjectId` `getId()` Deprecated. Gets the object's id
`java.lang.String` `toString()` Deprecated.

### Methods inherited from class com.informix.bson.DBRefBase

`equals, getRef, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DBPointer

    public DBPointer(java.lang.String ns,
             org.bson.types.ObjectId id)

Deprecated.
CTOR used for testing BSON encoding. Otherwise non-functional due to a DBRef needing a parent db object, a fieldName and a db

Parameters:
  `ns` - namespace to point to
  `id` - value of _id

#### DBPointer

    public DBPointer(org.bson.BSONObject parent,
             java.lang.String fieldName,
             java.lang.String ns,
             org.bson.types.ObjectId id)

Deprecated.

### Method Detail

#### toString

    public java.lang.String toString()

Deprecated.

Overrides:
  `toString` in class `DBRefBase`

#### getId

    public org.bson.types.ObjectId getId()

Deprecated.
Description copied from class: `DBRefBase`
Gets the object's id

Overrides:
  `getId` in class `DBRefBase`
Returns: